org.richfaces.fragment.contextMenu

## Class RichFacesContextMenu.AdvancedContextMenuInteractions

- java.lang.Object
- - org.richfaces.fragment.contextMenu.AbstractPopupMenu.AdvancedPopupMenuInteractions
  - - org.richfaces.fragment.contextMenu.RichFacesContextMenu.AdvancedContextMenuInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesContextMenu

      public class RichFacesContextMenu.AdvancedContextMenuInteractions
      extends AbstractPopupMenu.AdvancedPopupMenuInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesContextMenu.AdvancedContextMenuInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLangAttribute()`
    `List<org.openqa.selenium.WebElement>` | `getMenuItemElements()` Returns all elements of this menu
    `org.openqa.selenium.WebElement` | `getMenuPopup()`
    `protected org.openqa.selenium.WebElement` | `getScriptElement()`

    - ### Methods inherited from class org.richfaces.fragment.contextMenu.AbstractPopupMenu.AdvancedPopupMenuInteractions

      `getDefaultShowEvent, getItemsElements, getShowDelay, getShowEvent, getTargetElement, getTimeoutForPopupMenuToBeNotVisible, getTimeoutForPopupMenuToBeVisible, hide, isVisible, setHideDelay, setHideDelay, setShowDelay, setShowDelay, setShowEvent, setShowEvent, setShowEventFromWidget, setTarget, setTarget, setTargetFromWidget, setTimeoutForPopupMenuToBeNotVisible, setTimeoutForPopupMenuToBeVisible, show, show, show, waitUntilIsNotVisible, waitUntilIsVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesContextMenu.AdvancedContextMenuInteractions

          public RichFacesContextMenu.AdvancedContextMenuInteractions()

  - ### Method Detail

    - #### getMenuItemElements

          public List<org.openqa.selenium.WebElement> getMenuItemElements()

      Description copied from class: `AbstractPopupMenu.AdvancedPopupMenuInteractions`
      Returns all elements of this menu
      Specified by:
        `getMenuItemElements` in class `AbstractPopupMenu.AdvancedPopupMenuInteractions`
      Returns:

    - #### getMenuPopup

          public org.openqa.selenium.WebElement getMenuPopup()

      Specified by:
        `getMenuPopup` in class `AbstractPopupMenu.AdvancedPopupMenuInteractions`

    - #### getScriptElement

          protected org.openqa.selenium.WebElement getScriptElement()

      Specified by:
        `getScriptElement` in class `AbstractPopupMenu.AdvancedPopupMenuInteractions`

    - #### getLangAttribute

          public String getLangAttribute()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.